org.apache.lucene.search.intervals

## Class IntervalQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.intervals.IntervalQuery

    public final class IntervalQuery
    extends Query

A query that retrieves documents containing intervals returned from an `IntervalsSource` Static constructor functions for various different sources can be found in the `Intervals` class

### Constructor Summary

Constructors
Constructor and Description
`IntervalQuery(String field, IntervalsSource intervalsSource)` Create a new IntervalQuery

### Method Summary

All Methods Instance Methods Concrete Methods
`Weight` `createWeight(IndexSearcher searcher, boolean needsScores, float boost)`
`boolean` `equals(Object o)`
`String` `getField()`
`int` `hashCode()`
`String` `toString(String field)`

### Methods inherited from class org.apache.lucene.search.Query

`classHash, rewrite, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntervalQuery

    public IntervalQuery(String field,
                         IntervalsSource intervalsSource)

Create a new IntervalQuery

Parameters:
  `field` - the field to query
  `intervalsSource` - an `IntervalsSource` to retrieve intervals from

### Method Detail

#### getField

    public String getField()

#### toString

    public String toString(String field)

Specified by:
  `toString` in class `Query`

#### createWeight

    public Weight createWeight(IndexSearcher searcher,
                               boolean needsScores,
                               float boost)
                        throws IOException

Overrides:
  `createWeight` in class `Query`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in class `Query`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Query`